<?xml version="1.0" encoding="UTF-8"?>
<device image="IMG-000220.png" type="DMXDevice" dmxcversion="3.1.0" ddfversion="1.0.0">
  <information>
    <ddf-library-id>782</ddf-library-id>
    <model>Magic Panel R</model>
    <vendor>AYRTON</vendor>
    <author>Patrick Grote</author>
    <mode>Standard Mode</mode>
  </information>
  <functions>
    <position>
      <pan dmxchannel="0" finedmxchannel="1">
        <range range="540"/>
      </pan>
      <tilt dmxchannel="2" finedmxchannel="3">
        <range range="270"/>
      </tilt>
    </position>
    <ptspeed dmxchannel="4">
      <range type="linear" mindmx="255" maxdmx="0"/>
    </ptspeed>
    <raw dmxchannel="5" name="Pan Continuous Rotation">
      <!--<range mindmx="128" maxdmx="189" minval="-100" maxval="1" />
			<range mindmx="190" maxdmx="193" minval="0" maxval="0" />
			<range mindmx="194" maxdmx="255" minval="1" maxval="100" />-->
    </raw>
    <raw dmxchannel="6" name="Tilt Continuous Rotation">
      <!--<range mindmx="128" maxdmx="189" minval="-100" maxval="1" />
			<range mindmx="190" maxdmx="193" minval="0" maxval="0" />
			<range mindmx="194" maxdmx="255" minval="1" maxval="100" />-->
    </raw>
    <rgb>
      <r dmxchannel="7"/>
      <g dmxchannel="8"/>
      <b dmxchannel="9"/>
      <w dmxchannel="10"/>
    </rgb>
    <shutter dmxchannel="11">
      <step type="open" mindmx="224" maxdmx="255"/>
      <step type="open" mindmx="96" maxdmx="127"/>
      <step type="open" mindmx="32" maxdmx="63"/>
      <step type="closed" mindmx="0" maxdmx="31"/>
    </shutter>
    <strobe dmxchannel="11">
      <range type="linear" mindmx="64" maxdmx="95" minval="1" maxval="10"/>
      <range type="pulse" mindmx="128" maxdmx="143" minval="1" maxval="10"/>
      <range type="random" mindmx="192" maxdmx="223" minval="1" maxval="10"/>
    </strobe>
    <dimmer dmxchannel="12"/>
    <const dmxchannel="13" name="Color Macro" val="0"/>
    <const dmxchannel="14" name="Color Preset" val="0"/>
    <const dmxchannel="18" name="Color Preset Dimmer" val="0"/>
    <const dmxchannel="15" name="Color Patterns" val="0"/>
    <const dmxchannel="16" name="Chase Speed" val="0"/>
    <const dmxchannel="17" name="Chase Fade" val="0"/>
    <const dmxchannel="19" name="Internal Programs" val="0"/>
  </functions>
  <procedures>
    <reset>
      <set dmxchannel="19" value="80"/>
      <hold value="6000"/>
      <restore dmxchannel="19"/>
    </reset>
  </procedures>
</device>
